﻿using System;
using System.Collections.Generic;
using System.Text;

namespace IASA.Demo.BusinessModel
{
    public class OrderDetail
    {
        public OrderDetail()
        {
        }

        public Product Product
        {
            get; set; 
        }

        public int NumberOfItems
        {
            get; set; 
        }
    
        public double CalculateItemCost()
        {
            double itemCost = this.Product.Price * this.NumberOfItems;

            itemCost -= itemCost * this.Product.CalculateProductDiscount(this.NumberOfItems);

            return itemCost;
        }
    }
}
