﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IASA.Demo.BusinessModel;
using IASA.Demo.Data.Generic;

namespace IASA.Demo.Data
{
    internal class CustomerMapper : IObjectMapper<Customer>
    {
        #region IObjectMapper<Customer> Members

        public Customer Construct(DataResult dataResult)
        {

            Address customerAddress = new Address { StreetAddress1 = "100 Main Street", City = "East Windsor", State = "NJ", PostalCode = "08520" };

            return new Customer
            {
                Id = Guid.NewGuid(),
                Name = "Todd Snyder",
                BillToAddress = customerAddress,
                ShipToAddress = customerAddress
            };
        }

        public List<Customer> ConstructList(DataResult dataResult)
        {
            List<Customer> customerList = new List<Customer>();

            return customerList;
        }

        #endregion
    }
}
