﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IASA.Demo.Data.Generic
{
    public interface IDataMapper<TDomainObject, TIdentityObject>
    {
        DataCommand ConstructSelectCommand(TIdentityObject identity);
        DataCommand ConstructSelectListCommand(TIdentityObject identity);
        DataCommand ConstructSaveCommand(TDomainObject domainObject);
        DataCommand ConstructDeleteCommand(TDomainObject domainObject);

        bool SaveChildren { get; }
    }
}
