﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IASA.Demo.BusinessModel;
using IASA.Demo.Data.Generic;

namespace IASA.Demo.Data
{
    public class OrderRepository : Repository<Order, QueryCriteria>
    {
        protected override IDataMapper<Order, QueryCriteria> GetDataMapper()
        {
            return new OrderDataMapper();
        }

        protected override IObjectMapper<Order> GetObjectMapper()
        {
            return new OrderMapper();
        }
    }
}
