﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IASA.Demo.Presentation;
using IASA.Demo.BusinessService;
using IASA.Demo.BusinessModel;

namespace IASA.Demo.Presentation.MVP.Test.Mocks
{
    public class MockOrderView : IOrderView
    {

        #region IOrderView Members

        public string customerId
        {
            get;
            set;
        }

        public string customerName
        {
            get;
            set;
        }

        public IList<Order> OrderHistory
        {
            get;
            set;
        }

        #endregion

        public bool IsViewLoaded
        {
            get
            {
                return this.OrderHistory.Count > 0;
            }
        }
    }
}
