﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IASA.Demo.BusinessModel
{
    public class CustomerOrderAdapter
    {
        public CustomerOrderAdapter(Customer customer)
        {
            this._customer = customer;
        }

        private Customer _customer;

        public string CustomerId
        {
            get { return this._customer.Id.ToString(); }
        }

        public string CustomerName
        {
            get { return this._customer.Name; }
        }
        
        public IList<Order> OrderHistory
        {
            get { return this._customer.OrderHistory; }
        }
    }
}
