﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IASA.Demo.BusinessModel;
using IASA.Demo.Data.Generic;

namespace IASA.Demo.Data
{
    public class CustomerRepository : Repository<Customer, QueryCriteria>
    {
        protected override IDataMapper<Customer, QueryCriteria> GetDataMapper()
        {
            return new CustomerDataMapper();
        }

        protected override IObjectMapper<Customer> GetObjectMapper()
        {
            return new CustomerMapper();
        }
    }
}
