﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IASA.Demo.Data.Generic
{
    public class DataCommand
    {

        public DataCommand()
        {
        }

        private IList<Datum> _parameters = new List<Datum>();

        public IList<Datum> Parameters
        {
            get { return this._parameters; }
        }

        public DataResult GetDataResult()
        {
            return new DataResult();
        }

        public bool ExecuteCommand()
        {
            return true;
        }

        public void AddParameter(Datum parameter)
        {
            this._parameters.Add(parameter);
        }

        public void AddParameter(string name, string value)
        {
            this._parameters.Add(new Datum { Name = name, Value = value} );
        }

        public void AddParameterList(IList<Datum> parameters)
        {
            this._parameters = parameters;
        }

        private IList<DataCommand> _childCommand = new List<DataCommand>();

        public IList<DataCommand> ChildCommands
        {
            get { return this._childCommand; }
        }

        public void AddChildCommand(DataCommand command)
        {
            this._childCommand.Add(command);
        }



    }
}
