﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IASA.Demo.Data.Generic
{
    public class QueryCriteria
    {
        public QueryCriteria()
        {
        }

        private IList<Datum> _parameters = new List<Datum>();

        public IList<Datum> Parameters
        {
            get { return this._parameters; }
        }

        public void AddParameter(Datum parameter)
        {
            this._parameters.Add(parameter);
        }

        public void AddParameter(string name, string value)
        {
            this._parameters.Add(new Datum { Name = name, Value = value });
        }

    }
}
