﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IASA.Demo.Presentation.MVP;
using IASA.Demo.BusinessModel;

namespace IASA.Demo.Presentation.MVP.Test.Mocks
{
    public class MockCustomerView : ICustomerView
    {

        #region ICustomerView Members

        public Guid customerId
        {
            get;
            set; 
        }

        public string customerName
        {
            get;
            set; 

        }

        public Address BillToAddress
        {
            get;
            set; 

        }

        public Address ShipToAddress
        {
            get;
            set; 

        }
        
        #endregion

        public bool IsViewLoaded
        {
            get
            {
                return this.customerName.Length > 0;
            }
        }
    }
}
